package xyz.wbsite.test;

import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.WebSocket;
import okhttp3.WebSocketListener;
import okio.ByteString;

public class Test {
    public static void main(String[] args) {
        final WebSocket[] socket = new WebSocket[1];
        OkHttpClient mOkHttpClient = new OkHttpClient.Builder()
                .retryOnConnectionFailure(true)
                .build();

        Request mRequest = new Request.Builder()
                .url("ws://127.0.0.1:8080/websocket/1")
                .build();

        mOkHttpClient.newWebSocket(mRequest, new WebSocketListener() {
            @Override
            public void onOpen(WebSocket webSocket, Response response) {
                socket[0] = webSocket;
                System.out.println("连接已打开");
            }

            @Override
            public void onMessage(WebSocket webSocket, String text) {
                System.out.println("接收消息:" + text);
                socket[0].send("收到消息");
            }

            @Override
            public void onMessage(WebSocket webSocket, ByteString bytes) {
                super.onMessage(webSocket, bytes);
            }

            @Override
            public void onClosing(WebSocket webSocket, int code, String reason) {
                System.out.println("连接关闭");
            }

            @Override
            public void onClosed(WebSocket webSocket, int code, String reason) {
                System.out.println("连接关闭");
            }

            @Override
            public void onFailure(WebSocket webSocket, Throwable t, Response response) {
                System.out.println("连接失败");
            }
        });
    }
}
